/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
hli@hendriklipka.de
*/

package de.hendriklipka.util;

import org.apache.log4j.Category;

/**
  Sending part of a StringPipeOutput / -Input - pair.
  @see de.hendriklipka.util.StringPipeInput
*/
public class StringPipeOutput extends java.lang.Object
{
    static Category CAT = Category.getInstance(StringPipeOutput.class.getName());

    StringPipeInput Input=null;

    public StringPipeOutput()
    {
    }
    
    public StringPipeOutput(StringPipeInput input)
    {
        input.connect(this);
    }
    
    /**
        connects this Pipe to a StringPipeInput
    */
    public void connect(StringPipeInput spi)
    {
        spi.connect(this);
        Input=spi;
    }
    
    /**
        writes a String into the pipe
    */
    public void write(String s)
    {
        if (null!=Input)
            Input.sendTo(s);
        else
            System.out.println("no input pipe");
    }
}
